petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESObjectiveFunction

functional form used to convey the objective function to the nonlinear solver

### Synopsis

    #include <petscsnes.h>
    SNESObjectiveFunction(SNES snes,Vec x,PetscReal *obj,void *ctx);

### Input Parameters

| snes | - the SNES context Many br
| X | - solution Many br
| F | - current function/gradient Many br
| obj | - real to hold the objective value Many br
| ctx | - optional user-defined objective context Many br

Many br

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetObjective(), SNESGetObjective(), SNESJacobianFunction, SNESFunction

Level:advanced
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages